> ## Documentation Index
> Fetch the complete documentation index at: https://docs.recital.finance/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Wallet Account

> Retrieve details of a specific wallet account using the accountWalletId.

### Query

No query parameters are required.\
The `{accountWalletId}` is passed as part of the URL.

***

<RequestExample>
  ```bash Example Request theme={null}
  curl --location 'https://api.recital.finance/api/wallets/account/accountWalletId' \
  --header 'Authorization: Bearer apiKey'
  ```
</RequestExample>

<ResponseExample>
  ```json Success Response theme={null}
  {
      "walletId": "RC_WAL-Q5UWQLVVRQ",
      "accountWalletId": "7b44390f-fe37-4c9f-aa01-624742689f09",
      "customerEmail": "paga@ng.com",
      "customerName": null,
      "bankName": "Mock Bank",
      "accountNumber": "0067100155",
      "currency": "NGN",
      "amount": 100,
      "createdAt": null,
      "updatedAt": null
  }
  ```

  ```json Error Response theme={null}
  {
    "message": "Invalid Wallet ID",
    "success": false
  }
  ```
</ResponseExample>
